李燕良的博客

C++、ObjectARX二次开发、Revit二次开发

[Revit二次开发]-读取族参数

概要: 1.读取在Revit中选中的元素参数,并且显示在TaskDialog上。 2.把元素的类型的参数信息显示出来; 3.并且获取元素的族名称。 实现代码: using Autodesk.Revit.Attributes; using Autodesk.Revit.DB; using...

2019-06-09 10:28:56

阅读数 10

评论数 0

如何调试Revit二次开发代码-含教学视频(解决无法调试问题)

教学视频连接: https://www.bilibili.com/video/av55021238/ 1.打开Revit,打开visual studio,以下简称VS。准备好要调试代码的dll文件。 2.在VS中打开要调试代码 3.在需要调试的地方加入断点,如下图所 4.VS菜单中 ...

2019-06-08 23:39:13

阅读数 9

评论数 0

[资源分享]Visual Assist最好的版本-不会过期-2015、2017可用

如下图所示,两步即可安装: 下载链接: 链接:https://pan.baidu.com/s/1_XHE057doqI0ZhlYwEnB2Q 提取码:ujiu

2019-06-08 20:05:47

阅读数 21

评论数 0

ObjectARX开发视频教程(C++)-创建模态对话框绘制直线

概要: 在ObjectARX中使用MFC创建非模态对话框,并使用对话框创建一条直线。 效果: 视频教程链接: 腾讯视频: 《ObjectARX二次开发视频教程-对话框-创建直线》,点击链接观看,https://url.cn/5FTwqBV?sf=uri B站: https://w...

2019-06-07 21:40:07

阅读数 7

评论数 0

ObjectARX二次开发视频教程(C++)-创建模态对话框

由于ObjectARX开发的视频较少,而关于MFC的教程更少,所以我录制了这个视频,作为给大家参考,当然这适合没有MFC基础的同学,讲的不好,请大家多多包容。 教程描述: 使用ObjectARX中基于MFC的类库创建模态对话框。 效果: 视频地址: 腾讯视频: 《CAD开...

2019-06-07 08:13:47

阅读数 15

评论数 0

ObjectARX(C++)-CAD二次开发调试方法

1.创建一个ObjectARX项目 2.在acrxEntryPoint.cpp中添加以下代码用于调试测试: static void AAAMyGroupMyCommand () { // Put your command code here ads_point p1, p2; ...

2019-05-30 15:48:47

阅读数 18

评论数 0

[LeetCode] 876. 链表的中间结点-三种方法实现

问题描述: 给定一个带有头结点head的非空单链表,返回链表的中间结点。 如果有两个中间结点,则返回第二个中间结点 示例1: 输入:[1,2,3,4,5] 输出:此列表中的结点 3 (序列化形式:[3,4,5]) 返回的结点值为 3 。 (测评系统对该结点序列化表述是 [3,4,5])。...

2019-05-25 07:32:12

阅读数 11

评论数 0

[ObjectARX]-创建多边形网格

完整的实现代码: static void AAAMyGroupMyCommand () { // Put your command code here acutPrintf(_T("\nHello World!")); //创建一个简单的多边形网格 Ac...

2019-03-22 07:59:52

阅读数 79

评论数 0

[Revit二次开发] 批量生成类型

简析:   通过现有的柱类型,复制此类型,生成不同尺寸的柱。 项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threadi...

2019-02-10 23:06:16

阅读数 166

评论数 0

[Revit]创建屋顶

项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.U...

2019-01-23 07:05:00

阅读数 150

评论数 0

[Revit二次开发]创建正反两面墙

完整项目源代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit....

2019-01-22 07:48:09

阅读数 91

评论数 0

ObjectARX2018+AutoCAD2018+VS2015开发环境配置

步骤一、开发工具准备 1.Visual Studio 2015 下载含(更新3)及密钥:http://blog.postcha.com/read/66 (下载社区版即可) Visual Studio 2015安装步骤:https://jingyan.baidu.com/article/c45a...

2018-12-27 16:25:55

阅读数 1576

评论数 3

无法处理文件 Snoop\Forms\BindingMap.resx,因为它位于 Internet 或受限区域中,或者文件上具有 Web 标记。要想处理这些文件,请删除 Web 标记。

 1) 下载源码文件解压后,打开项目代码文件,编译运行出现下列错误:    无法处理文件 Snoop\Forms\BindingMap.resx,因为它位于 Internet 或受限区域中,或者文件上具有 Web 标记。要想处理这些文件,请删除 Web 标记。   2)原因是文件压缩包被锁住了...

2018-12-24 22:42:24

阅读数 1450

评论数 0

[Revit二次开发] 创建一个柱的族

完整项目代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.D...

2018-12-16 16:59:23

阅读数 579

评论数 0

[Revit二次开发] Ribbon菜单的创建

(1)项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit...

2018-12-15 07:32:28

阅读数 767

评论数 0

[Revit二次开发] TaskDialog 创建任务对话框

项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.U...

2018-12-14 09:02:43

阅读数 247

评论数 0

[Revit二次开发] Selection交互API-创建柱子并计算体积

摘要:   本文主要是对Selection交互API的应用: 1.选择一个点,在该点创建一个柱子; 2.选择刚创建的柱子,计算其体积; 3.框选若干元素,得到选中的墙的数量。 项目完整代码: using System; using System.Collections.Gene...

2018-12-13 11:59:39

阅读数 259

评论数 1

[Revit二次开发] 创建一个拉伸实体 NewExtrusion

摘要:   尝试不同类型元素的创建方法: (1)创建一个拉伸实体(正方体) (2)创建一个自定义族类型 项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Tex...

2018-12-12 13:12:32

阅读数 496

评论数 1

[Revit二次开发] 创建墙体并实现墙体的复制、移动和镜像

项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.A...

2018-12-12 11:19:04

阅读数 533

评论数 0

[Revit二次开发] error CS1729: 'Plane' does not contain a constructor that takes 2 arguments

  当我们进行元素的镜像时,创建镜像平面Plane经常使用的方式是: Plane p1 = new Plane(new XYZ(0, -1, 0), XYZ.Zero); 如果您使用的是Revit2017以上版本,将会编译错误: error CS1729: 'Plane' does not...

2018-12-12 08:49:58

阅读数 137

评论数 0

提示
确定要删除当前文章?
取消 删除
关闭
关闭